<div class="panel">
  <div class="panel-title" [ngClass]="primaryColorBrand" [hidden]="isHideField">
    <span><mat-icon class="white-fg">assignment_ind</mat-icon></span>
    <span class="white-fg">&nbsp;Dados Pessoais</span>
  </div>
  <div class="panel-content">
    <form [formGroup]="generalForm" novalidate>
      <div fxLayout="row" fxLayoutAlign="start center">
        <div fxFlex>
          <mat-button-toggle-group  formControlName="personType">
              <mat-button-toggle value="PERSON" [disabled]="isEdition" (click)="changeType()" matTooltip="Pessoa Física">
                  <mat-icon>person</mat-icon>
              </mat-button-toggle>        
              <mat-button-toggle value="COMPANY" [disabled]="isEdition" (click)="changeType()" matTooltip="Pessoa Jurídica">
                  <mat-icon>business</mat-icon>
              </mat-button-toggle>
          </mat-button-toggle-group>
        </div>
      </div>
      <br>

      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
          <mat-form-field fxFlex="100">
            <input type="email" matInput placeholder="E-mail" #filter (keyup)='searchOnChange($event)' formControlName="email" required>
            <mat-error *ngIf="generalForm.get('email').hasError('required')">
              Por favor, informe o e-mail
            </mat-error>
            <mat-error *ngIf="!generalForm.get('email').hasError('required') && generalForm.get('email').hasError('email')">
              Por favor, informe um e-mail válido
            </mat-error>
          </mat-form-field>
      </div>
      
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-form-field fxFlex="100">
            <input matInput placeholder="Nome" formControlName="name" required>
            <mat-error *ngIf="generalForm.get('name').hasError('required')">
                Por favor, informe o nome
            </mat-error>                         
        </mat-form-field>
      </div>
      <mat-nav-list>
          <mat-list-item *ngFor="let customer of customersList" (click)="setCustomer(customer)">
            {{ customer.name }} / {{ customer.email }}
          </mat-list-item>
      </mat-nav-list>
     
      <div [hidden]="isPerson" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-form-field fxFlex="100">
          <input matInput placeholder="Procurador" formControlName="procurator">
          <mat-error *ngIf="generalForm.get('procurator').hasError('required')">
            Por favor, informe o Procurador
          </mat-error>
        </mat-form-field>
      </div>

      <div [hidden]="!isPerson || isHideField" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-form-field fxFlex="50">
          <input matInput placeholder="Data Nascimento" formControlName="birthDate"  [textMask]="{mask: dateMask}" [required]="isRequired"> 
        </mat-form-field>

        <mat-form-field fxFlex="50">
          <mat-select placeholder="Sexo" formControlName="gender" [required]="isRequired">
            <mat-option *ngFor="let gender of personGenderList" [value]="gender.key">
              {{ gender.value }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>

      <div [hidden]="!isPerson || isHideField" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-form-field fxFlex="50">
          <input matInput placeholder="Profissão" formControlName="occupation" [required]="isRequired">
        </mat-form-field>
      
        <mat-form-field fxFlex="50">
          <mat-select placeholder="Estado Civil" formControlName="maritialStatus" [required]="isRequired">
            <mat-option *ngFor="let ma of maritialStatusList" [value]="ma.key">
              {{ ma.value }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>

      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

        <mat-form-field fxFlex="50">
          <input matInput placeholder="Tel. Celular" formControlName="mobilePhone" [textMask]="{mask: mobilePhoneMask}" required>
          <mat-error *ngIf="generalForm.get('mobilePhone').hasError('required')">
            Por favor, informe o telefone
          </mat-error>
        </mat-form-field>

        <div fxFlex="2" *ngIf="isEdition">
            <mat-icon style="cursor:pointer" class="m-0 mr-16" (click)="openWhatsapp()"><svg style="width:24px;height:24px" viewBox="0 0 24 24">
                <path fill="#008B00" d="M16.75,13.96C17,14.09 17.16,14.16 17.21,14.26C17.27,14.37 17.25,14.87 17,15.44C16.8,16 15.76,16.54 15.3,16.56C14.84,16.58 14.83,16.92 12.34,15.83C9.85,14.74 8.35,12.08 8.23,11.91C8.11,11.74 7.27,10.53 7.31,9.3C7.36,8.08 8,7.5 8.26,7.26C8.5,7 8.77,6.97 8.94,7H9.41C9.56,7 9.77,6.94 9.96,7.45L10.65,9.32C10.71,9.45 10.75,9.6 10.66,9.76L10.39,10.17L10,10.59C9.88,10.71 9.74,10.84 9.88,11.09C10,11.35 10.5,12.18 11.2,12.87C12.11,13.75 12.91,14.04 13.15,14.17C13.39,14.31 13.54,14.29 13.69,14.13L14.5,13.19C14.69,12.94 14.85,13 15.08,13.08L16.75,13.96M12,2A10,10 0 0,1 22,12A10,10 0 0,1 12,22C10.03,22 8.2,21.43 6.65,20.45L2,22L3.55,17.35C2.57,15.8 2,13.97 2,12A10,10 0 0,1 12,2M12,4A8,8 0 0,0 4,12C4,13.72 4.54,15.31 5.46,16.61L4.5,19.5L7.39,18.54C8.69,19.46 10.28,20 12,20A8,8 0 0,0 20,12A8,8 0 0,0 12,4Z" />
            </svg></mat-icon>
        </div>

        <mat-form-field fxFlex="50" [hidden]="isHideField">
          <input matInput placeholder="Tel. Residencial" formControlName="residencialPhone" [textMask]="{mask: phoneMask}" [required]="isRequired">
          <mat-error *ngIf="generalForm.get('residencialPhone').hasError('required')">
            Por favor, informe o telefone
          </mat-error>
        </mat-form-field>
      
        <mat-form-field fxFlex="50" [hidden]="isHideField">
          <input matInput placeholder="Tel. Comercial" formControlName="commercialPhone" [textMask]="{mask: phoneMask}" >
          <mat-error *ngIf="generalForm.get('commercialPhone').hasError('required')">
            Por favor, informe o telefone
          </mat-error>
        </mat-form-field>
        
        <mat-form-field fxFlex="50" [hidden]="isPerson || !isHideField ">
            <input matInput placeholder="CNPJ" formControlName="registrationNumber" [textMask]="{mask: cnpjMask}" [required]="(!isPerson && isHideField) ? true : false">
            <mat-error *ngIf="generalForm.get('registrationNumber').hasError('required')">
              Por favor, informe o CNPJ
            </mat-error>
            <mat-error *ngIf="generalForm.get('registrationNumber').hasError('invalidCNPJ')">
              Por favor, informe um CNPJ válido
            </mat-error>
        </mat-form-field>
        
        <mat-form-field fxFlex="50" [hidden]="isPerson || isHideField ">
            <input matInput placeholder="Inscrição Estadual, Digite O para Isento" type="number" formControlName="registrationNumber"  >
        </mat-form-field>

        <mat-form-field fxFlex="50" [hidden]="!isPerson || !isHideField">
          <input matInput placeholder="CPF" formControlName="registrationNumber" [textMask]="{mask: cpfMask}" [required]="(isPerson && isHideField) ? true : false" >
          <mat-error *ngIf="generalForm.get('registrationNumber').hasError('required')">
            Por favor, informe o CPF
          </mat-error>
          <mat-error *ngIf="generalForm.get('registrationNumber').hasError('invalidCPF')">
            Por favor, informe um CPF válido
          </mat-error>
        </mat-form-field>

        <mat-form-field fxFlex="100" [hidden]="!isCreateUserAdmin">
            <input matInput placeholder="{{ isPerson ? 'Data Nascimento' : 'Data de abertura'}}" formControlName="birthDate"   [textMask]="{mask: dateMask}" [required]="isCreateUserAdmin">
        </mat-form-field>
                
      </div>

      <div [hidden]="!isCreateUserAdmin" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-form-field fxFlex="50">
          <input matInput placeholder="Senha" formControlName="password"  minlength="8" [required]="isCreateUserAdmin">
          <mat-error *ngIf="generalForm.get('password').hasError('required')">
            Por favor, informe a senha
          </mat-error>
          <mat-error *ngIf="generalForm.get('password').hasError('minlength')">
              A senha deve ter no mínimo 8 caracteres
          </mat-error>
          
        </mat-form-field>
      
        <mat-form-field fxFlex="50">
            <input matInput placeholder="Confirmação de senha" formControlName="confirmPassword" [required]="isCreateUserAdmin">
            <mat-error *ngIf="generalForm.get('confirmPassword').hasError('passwordsNotMatch')">
                As senhas devem ser iguais
            </mat-error>
          </mat-form-field>
      </div>

      <div fxLayout="row" fxLayoutAlign="start center" [hidden]="true">
        <mat-form-field fxFlex="100">
          <mat-select placeholder="Marca" formControlName="brand" required>
            <mat-option *ngFor="let brand of brandList" [value]="brand.id">
              {{ brand.name }}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="generalForm.get('brand').hasError('required')">
            Por favor, selecione a Marca
          </mat-error>
        </mat-form-field>
      </div>
    </form>
  </div>      
</div>







